/* === clientlib_custom-query_redesign Begin === */
.tui_enterprise_tabpanel {
  padding-top: 0;
  padding-bottom: 2.5rem;
}

.tui_img_bg {
  display: flex;
  width: 28px;
  height: 28px;
  justify-content: center;
  align-items: center;
  background: #004c92;
  border-radius: 50%;
}

.tui_white_text {
  color: #ffffff;
}

.tui_white_text h1,
.tui_white_text h2,
.tui_white_text h3,
.tui_white_text h4,
.tui_white_text h5,
.tui_white_text h6,
.tui_white_text .h1,
.tui_white_text .h2,
.tui_white_text .h3,
.tui_white_text .h4,
.tui_white_text .h5,
.tui_white_text .h6 {
  color: #ffffff;
}

.tui_white_text p {
  color: #ffffff;
}

.tui_enterprise_tabs .cmp-tabs__tab:not(.cmp-tabs__tab--active):nth-child(1),
.tui_enterprise_tabs .cmp-tabs__tab:not(.cmp-tabs__tab--active):nth-child(2),
.tui_enterprise_tabs .cmp-tabs__tab:not(.cmp-tabs__tab--active):nth-child(3) {
  color: rgba(0, 0, 0, 0.56);
  font-weight: 600;
}

.tui_full_row_white {
  background-color: #ffffff;
}

.tui_full_row_white .tui_top_position_box {
  position: relative;
}

.tui_full_row_blue {
  background: linear-gradient(270deg, #002f54 0%, #004c92 100%);
}

.tui_full_row_blue_gray_gradient {
  position: relative;
  padding: 48px 0;
}

.tui_full_row_blue_gray_gradient .tui_full_row_blue_gradient {
  background: linear-gradient(270deg, #004c92 0%, #002f54 100%);
  padding-top: 48px;
  padding-bottom: 180px;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  min-height: 40%;
}

.tui_white_border_box {
  background-color: #ffffff;
  border: 1px solid #e5e5e5;
  border-radius: 8px;
  padding: 24px;
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2);
}

.tui_white_border_box .tui_solid_white_btn {
  margin-bottom: 12px;
}

.tui_gray_border_box {
  background-color: #f5f5f5;
  border: 1px solid #e5e5e5;
  border-radius: 8px;
  padding: 1rem;
}

.tui_selected_values_blue {
  margin-bottom: 2rem;
}

.tui_selected_values_blue .tui_selected_values ul li span,
.tui_selected_values_blue .tui_selected_values ul li span {
  color: #0071bc !important;
}

.tui_selected_values_blue .tui_selected_values ul li .lp-times:before,
.tui_selected_values_blue .tui_selected_values ul li .lp-times:before {
  padding-left: 4px;
}

.tui_selected_values_blue .tui_selected_values ul li:not(:last-child)::after,
.tui_selected_values_blue .tui_selected_values ul li:not(:last-child)::after {
  content: " ";
}

.tui_selected_values_blue .tui_selected_values ul li,
.tui_selected_values_blue .tui_selected_values ul li {
  margin-right: 12px;
  margin-bottom: 4px;
}

.tui_selected_values_blue .tui_selected_values ul {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  margin-bottom: 1rem;
}

.tui_selected_values_blue .tui_button_selection .button {
  margin-bottom: 1rem;
}

.tui_selected_values_blue .cmp-text p,
.tui_selected_values_blue .cmp-teaser__description p {
  color: rgba(0, 0, 0, 0.87);
  font-family: "Open Sans";
  font-size: 14px;
  font-style: normal;
  font-weight: 700;
  line-height: 22px;
  margin: 0px 0px 4px 0px;
}

.tui_selected_values_blue .tui__solid_lightblue_btn button[disabled] {
  opacity: 0.5;
  cursor: not-allowed;
}

.tui_enterprise_tabpanel .cmp-text p,
.tui_enterprise_tabpanel .cmp-teaser__description p {
  margin: 0px 0px 0 0px;
}

.tui_table_selection_wrapper {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}

@media (min-width: 768px) {
  .tui_table_selection_wrapper {
    justify-content: space-between;
  }
}

.tui_table_selection_wrapper input[type=checkbox] {
  width: 0;
  height: 0;
}

.tui_table_selection_wrapper .dropdown-button {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  padding: 12px 32px;
}

.tui_table_selection_wrapper .dropdown-button img {
  width: 20px;
  height: 20px;
}

.tui_custom_query_table .tui_custom_table_container table th,
.tui_custom_query_table .tui_custom_table_container table td {
  padding: 8px 16px;
  min-width: 120px;
}

.tui_custom_query_table .tui_custom_table_container table td {
  display: inline-flex;
  flex-direction: column;
  align-self: center;
}

.tui_custom_query_table table tr td:first-child {
  align-items: baseline;
}

.tui_custom_query_table table th:first-child,
.tui_custom_query_table table tr td:first-child {
  color: rgba(0, 0, 0, 0.87);
  font-family: "Open Sans";
  font-size: 14px;
  font-style: normal;
  line-height: 22px;
}

@media (min-width: 768px) {

  .tui_custom_query_table table th:first-child,
  .tui_custom_query_table table tr td:first-child {
    min-width: 240px;
    max-width: 240px;
  }

  .tui_custom_query_table .tui_nested_table th:first-child,
  .tui_custom_query_table .tui_nested_table td:first-child {
    min-width: 240px;
    max-width: 240px;
  }
}

@media (min-width: 1024px) {

  .tui_custom_query_table table th:first-child,
  .tui_custom_query_table table tr td:first-child {
    min-width: 380px;
    max-width: 380px;
  }

  .tui_custom_query_table .tui_nested_table th:first-child,
  .tui_custom_query_table .tui_nested_table td:first-child {
    min-width: 350px;
    max-width: 350px;
  }
}


.tui_custom_table tbody tr {
  border-right: 1px solid #e5e5e5;
  border-bottom: 1px solid #e5e5e5;
  border-left: 1px solid #e5e5e5;
  background: #f7fafd;
}

.tui_custom_query_table .tui_custom_table_container table tr:nth-child(even) {
  border-right: 1px solid #e5e5e5;
  border-bottom: 1px solid #e5e5e5;
  border-left: 1px solid #e5e5e5;
  background: #fff;
}

.tui_custom_query_table .tui_custom_table_container tbody {
  max-height: 500px;
  overflow: auto;
  display: block;
}

.tui_custom_query_table .tui_custom_table_container table .table-blue-row {
  border-right: 1px solid #e5e5e5;
  border-bottom: 1px solid #e5e5e5;
  border-left: 1px solid #e5e5e5;
  background: #dfecf7 !important;
}

.tui_custom_query_table .tui_custom_table_container table .table-blue-row td {
  color: rgba(0, 0, 0, 0.87);
  font-family: "Open Sans";
  font-size: 14px;
  font-style: normal;
  font-weight: 700;
  line-height: 22px;
}

.tui_custom_query_table tbody::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

.tui_custom_query_table tbody::-webkit-scrollbar-track {
  background: #f6f6f6;
  border-radius: 5px;
}

.tui_custom_query_table tbody::-webkit-scrollbar-thumb {
  background: #0071bc;
  border-radius: 8px;
}

.tui_custom_query_table tbody::-webkit-scrollbar-thumb:hover {
  background: #005fa3;
}

.tui_custom_query_table .tui_custom_table_container thead th {
  color: rgba(0, 0, 0, 0.87);
  font-family: "Open Sans";
  font-size: 14px;
  font-style: normal;
  font-weight: 600;
  line-height: 18px;
}

.tui__is-hidden {
  display: none !important;
}

.tui__is-visible {
  display: flex !important;
  flex-direction: column;
}

.tui_collapsable_section .tui__border_lightblue_btn {
  margin-bottom: 24px;
}

.tui_collapsable_section .tui__border_lightblue_btn a,
.tui_collapsable_section .tui__border_lightblue_btn button {
  color: #0071bc;
  text-align: center;
  font-family: "Open Sans";
  font-size: 13px;
  font-style: normal;
  font-weight: 600;
  line-height: 20px;
  letter-spacing: 0.25px;
  text-decoration: none;
}

.tui_custom_query_table tbody>tr:first-child {
  position: static;
}

@media (min-width: 768px) {
  .subscribe-box-with-logo {
    display: flex;
    gap: 24px;
  }
}

.subscribe-box-with-logo .subscribe-bready-logo {
  width: 100%;
}

@media (min-width: 768px) {
  .subscribe-box-with-logo .subscribe-bready-logo {
    max-width: 200px;
    float: right;
    padding-left: 8px;
  }
}

.tui_subscribe_newsletter .subscribe-box-with-logo h3 {
  margin-right: 0;
}

@media screen and (min-width: 1024px) {
  .tui_subscribe_newsletter .subscribe-box-with-logo .subscribe-box {
    width: auto;
    margin-bottom: 0;
    flex: 1;
  }
}

.tui_custom_query_dropdwon_group {
  display: grid;
  grid-template-columns: 1fr;
  gap: 24px;
  margin-bottom: 64px;
}

@media (min-width: 1024px) {
  .tui_custom_query_dropdwon_group {
    grid-template-columns: repeat(2, 1fr);
  }
}

.tui_custom_query_dropdwon_group .tui_economy_title {
  width: 100%;
  display: flex;
  gap: 16px;
  flex-wrap: wrap;
  justify-content: space-between;
}

@media (min-width: 768px) {
  .tui_custom_query_dropdwon_group .tui_economy_title {
    flex-wrap: nowrap;
  }
}

.tui_custom_query_dropdwon_group .tui_economy_title p {
  color: #000;
  font-family: "Open Sans";
  font-size: 20px;
  font-style: normal;
  font-weight: 600;
  line-height: 28px;
  padding: 0;
  display: flex;
  gap: 10px;
  align-items: center;
}

.tui_custom_query_dropdwon_group .tui_subgroup_section .tui_economy_title .lp__dropdown_toggle {
  height: 48px;
  padding: 16px 16px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.tui_custom_query_dropdwon_group .tui__dropdown_toggle .filter-option,
.tui_custom_query_dropdwon_group .lp__dropdown_toggle .filter-option,
.tui_custom_query_dropdwon_group .dropdown-toggle .filter-option {
  overflow: hidden;
  color: rgba(0, 0, 0, 0.6);
  text-overflow: ellipsis;
  font-family: "Open Sans";
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 22px;
}

.tui_custom_query_dropdwon_group .lp__dropdown_toggle:after {
  color: rgba(0, 0, 0, 0.6);
}

.tui_selected_values ul li span,
.tui_selected_values ul li span {
  color: #0071bc;
  font-family: "Open Sans";
  font-size: 12px;
  font-style: normal;
  font-weight: 400;
  line-height: 20px;
}

.tui_custom_query_table .tui_nested_table {
  padding: 4px 24px;
  border: 1px solid #e5e5e5;
  background: #f7fafd;
}

.tui_custom_query_table .tui_nested_table>td {
  width: 100%;
  border-collapse: collapse;
}

.tui_custom_query_table .tui_nested_table table {
  border-collapse: collapse;
}

.tui_nested_table {
  display: none;
}

.tui_nested_table_btn {
  padding: 0;
  background: transparent;
  border: none;
  color: rgba(0, 0, 0, 0.87);
  font-family: "Open Sans";
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 22px;
  display: inline-flex;
  gap: 8px;
  align-items: center;
  justify-content: flex-start;
  text-align: left;
}

.tui_nested_table_btn::before {
  content: "\e116";
  color: #0071bc;
  font-family: "loopicon";
  display: inline-block;
  font-size: 8px;
}

.tui_nested_table_btn[aria-expanded=false]::before {
  content: "\e116";
}

.tui_nested_table_btn[aria-expanded=true]::before {
  content: "\e119";
}

.tui_custom_query_table .tui_nested_table table th {
  border: none;
}

/* for loader */
.ajax-div {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1000;
  background-color: grey;
  opacity: 0.8;
}

.loader {
  height: 150px;
  width: 150px;
  position: absolute;
  left: 50%;
  top: 50%;
  margin-left: -32px;
  margin-top: -32px;
  display: block;
}

.errors-check {
  display: none;
}

.full-row-white-components.tab-container.tui_enterprise_highlights .cmp-container {
  width: 100%;
}

.tui_collapse .tui__checkbox_group_list {
  margin-left: 2rem;
  padding-top: 8px;
}

.tui_enterprise_custom_table .tui_custom_table_container {
  overflow-x: inherit;
  overflow-y: inherit;
}

.tui_custom_table.tui_enterprise_custom_table.tui_custom_query_table {
  overflow: auto;
}

.tui_custom_query_table .tui_custom_table_container tbody {
  overflow: inherit;
}

.tui_enterprise_custom_table.tui_custom_query_table .ajax-loader {
  left: 0;
  top: 50%;
  width: 100%;
}

.tui_enterprise_custom_table .tui_custom_table_container {
  position: relative;
  width: 100%;
  max-width: 100%;
  left: auto;
  right: auto;
}

/* === clientlib_custom-query_redesign End === */

/* ==== for PDF CSS Begin ===== */
/* Apply ONLY during Kendo PDF export */
/* PDF ONLY: Everything inside .k-pdf-export applies only to the Kendo PDF */
.k-pdf-export #reportTable {
  width: 100% !important;
  border-collapse: collapse !important;
  border: 1px solid #E5E5E5 !important;
  font-size: 12px !important;
  background: #ffffff !important;
}

/* Borders for all cells */
.k-pdf-export #reportTable td,
.k-pdf-export #reportTable th {
  border: 1px solid #E5E5E5 !important;
  padding: 0px 5px !important;
  vertical-align: top !important;
}

.k-pdf-export #reportTable thead th {
  background: #F5F9FF !important;
  color: #1A1A1A !important;
  font-weight: 600 !important;
  border-bottom: 2px solid #CEDDEF !important;
}

.k-pdf-export #reportTable tr.topic-row td {
  background: #EAF4FF !important;
  color: #004B8D !important;
  font-weight: 600 !important;
  padding-top: 1px !important;
  padding-bottom: 1px !important;
}

/* Alternating row background (same as UI table look) */
.k-pdf-export #reportTable tr:nth-child(even) td:not(.topic-row) {
  background: #FAFBFD !important;
}

.k-pdf-export .table-blue-row {
  background-color: #dfecf7 !important;
}

.k-pdf-export .tui_print_footer .ft-social-leftlist {
  padding: 1.5rem var(--spacing-none);
}

.k-pdf-export .tui_print_footer .ft-legal {
  padding: 1.5rem 0 2rem;
}

.k-pdf-export .touchui-container {
  width: auto;
  padding: 0rem 4rem;
}

.k-pdf-export #reportGridTable {
  padding: 1rem 4rem;
}

/* ==== for PDF CSS Begin ===== */

/* === custom-query-redesign New CSS Begin === */
.tui_collapsable_section .tui_download_btn.hide-toggle,
.tui_collapsable_section .tui_download_btn.show-toggle {
  width: 100%;
  position: relative;
}

.tui_collapsable_section .tui_download_btn.hide-toggle::after,
.tui_collapsable_section .tui_download_btn.show-toggle::after {
  content: "";
  display: inline-block;
  height: 1px;
  background: #e5e5e5;
  position: absolute;
  top: 20px;
  right: 0;
  width: calc(100% - 190px);
}

.tui_collapse_table_row .show {
  border-bottom: none;
}

.tui_nested_table {
  border-top: 0;
}

.tui_nested_table>td[colspan="100%"] {
  padding-left: 0 !important;
  padding-right: 0 !important;
}

.tui_modal .tui_modal_title {
  font-weight: 700;
}

.tui__checkbox label {
  color: #000;
  font-family: "Open Sans";
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 22px;
}

.tui__btn.tui__solid_lightblue_btn .tui_modal_confirm {
  color: #fff;
  text-align: center;
  font-family: "Open Sans";
  font-size: 14px;
  font-style: normal;
  font-weight: 600;
  line-height: 22px;
  letter-spacing: 0.25px;
}

.tui_subgroup_section_box {
  border: 0px solid transparent;
  border-radius: 8px;
  height: 100%;
  display: flex;
  flex-direction: column;
}

.tui_subgroup_section_box .tui_economy_title_section {
  flex-shrink: 0;
}

.tui_subgroup_section_box .tui_economy_white_box {
  flex: 1;
  overflow: auto;
}

.tui_subgroup_section_box .tui_subgroup_section {
  border: none;
  border-bottom: 1px solid #d8e7f5;
}

.tui_subgroup_section_box .tui_economy_white_box {
  display: flex;
  padding: 24px 24px 24px 24px;
  flex-direction: column;
  align-items: flex-start;
  gap: 24px;
  align-self: stretch;
  background: #fff;
  border: 1px solid #e5e5e5;
  border-top: none;
  border-radius: 0 0 8px 8px;
  background: #fff;
}

.tui_subgroup_section_box .tui_economy_white_box .research_dropdown,
.tui_subgroup_section_box .tui_economy_white_box .lp__dropdown_group {
  width: 100%;
}

.tui_subgroup_section_box .tui_economy_white_box .cmp-button {
  font-size: 14px;
  font-weight: 600;
  line-height: 22px;
  letter-spacing: 0.25px;
}

.tui_subgroup_section_box .tui_economy_white_box .lp__dropdown_label {
  color: rgba(0, 0, 0, 0.87);
  font-family: "Open Sans";
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 28px;
  padding-bottom: 12px;
  padding-right: 0;
  display: block;
  width: 100%;
}

.tui_subgroup_section_box .tui_economy_white_box .lp__dropdown_toggle {
  width: 100%;
  background: #fff;
  border-radius: 2px;
  border: 1px solid #d4d4d4;
  background: #fff;
}

.tui_subgroup_section {
  border-radius: 8px 8px 0 0;
  border-bottom: 1px solid #d8e7f5;
  background: #e9f7fd;
}

.lp__dropdown_menu {
  max-height: 300px;
  overflow-y: auto !important;
  position: absolute;
  z-index: 1000;
  background: #fff;
  border: 1px solid #d4d4d4;
  width: 100%;
  margin-top: 2px;
}

.tui_subgroup_section_box .tui_economy_white_box {
  overflow: visible !important;
  position: relative;
}

.lp__dropdown_menu::-webkit-scrollbar {
  width: 6px;
}

.lp__dropdown_menu::-webkit-scrollbar-thumb {
  background: #0071bc;
  border-radius: 10px;
}

.queryErrorMsg {
  margin-top: 0.75rem;
  color: #e6201c;
}

.tui_enterprise_tabpanel .text p:not(:last-child) {
  margin-bottom: 0;
}

.tui_selected_values_blue {
  display: flex;
  flex-direction: column;
}

.tui_custom_table .tui_custom_table_container thead {
  position: sticky !important;
  top: -1px;
  z-index: 99;
}

.tui_custom_table_container.tui_custom_templates .research_dropdown .lp__dropdown_menu {
  max-width: 240px;
}

@media (min-width:992px) {
  .tui_custom_table_container.tui_custom_templates .research_dropdown .lp__dropdown_menu {
    max-width: 390px;
  }
}

.dropdown-menu.lp__dropdown_menu.lp__secondary_dropdown_menu:not(.show) {
  display: none !important;
}

.tui_custom_query_table .tui_custom_table_container tbody {
  max-height: 100%;
}

.circleLoader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1000;
  background-color: darkgrey;
  opacity: 0.9;
}

#reportTable td {
  padding: 10px;
  border-bottom: 1px solid #ddd;
  overflow: visible;
  text-overflow: clip;
  color: #222;
  vertical-align: middle;
}

#reportTable th:not(:first-child),
#reportTable td:not(:first-child) {
  width: stretch;
  min-width: 160px;
  /* max-width: 160px; */
  text-align: left;
  white-space: unset;
}

#reportTable .tui_nested_table td {
  border-bottom: none;
}

.tui_custom_table tbody td:nth-child(2) {
    color: inherit;
}
#informal.tui_full_row_blue_gray_gradient .tui_full_row_blue_gradient {
    background: rgba(205, 71, 2, 0.12);
    color: rgba(0, 0, 0, 0.56);
}

#informal .tui_white_text * {
    color: rgba(0, 0, 0, 0.56);
}

.lp__dropdown_menu.show, .show {
display: block !important;
 }

/* === custom-query-redesign New CSS End === */